.filters {
  margin-bottom: 20px;
}

.filters__row {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.filters__search {
  margin-bottom: 40px;
  position: relative;
}

.filters__search.disabled {
  pointer-events: none;
}

.filters__search.disabled svg {
  fill: #ccd6e1;
}

.filters__search input {
  padding-right: 50px;
}

.filters__search-btn {
  position: relative;
  outline: none !important;
  border: none;
  cursor: pointer;
  text-decoration: none !important;
  background: none;
  -webkit-appearance: none;
  -webkit-transform: translateZ(0px);
  -webkit-font-smoothing: antialiased;
  backface-visibility: hidden;
  padding: 0;
  position: absolute;
  top: 50%;
  right: 16px;
  width: 20px;
  height: 20px;
  transform: translateY(-50%);
  transition: opacity 0.3s ease-in-out;
}

.filters__search-btn:hover {
  opacity: 0.6;
}

.filters__search-btn svg {
  width: 100%;
  height: 100%;
  fill: #009aa9;
  transition: fill 0.3s ease-in-out;
}

.filters__row-info {
  display: flex;
  align-items: center;
}

.filters__row-info h4,
.filters__row-info .h4 {
  margin-bottom: 0;
}

.filters__row-info .amount {
  color: #fff;
  font-size: 12px;
  font-weight: 600;
  line-height: 16px;
  text-transform: uppercase;
  margin-left: 20px;
  padding: 5px 10px;
  border-radius: 20px;
  background: linear-gradient(0deg, #002f6a 0%, #002f6a 100%), #fff;
}

.filters__selected {
  margin-left: 25px;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 10px;
}

.filters__selected .selected-item {
  display: flex;
  align-items: center;
  gap: 8px;
  padding: 8px 10px;
  border-radius: 30px;
  border: 1px solid rgba(0, 48, 104, 0.15);
  color: #4b698c;
  font-size: 12px;
  font-weight: 600;
  text-transform: uppercase;
}

.filters__selected .selected-item a {
  width: 8px;
  height: 8px;
  display: block;
}

.filters__selected .selected-item a img {
  width: 100%;
  height: 100%;
}

.filters__row-right {
  display: flex;
  align-items: center;
  gap: 16px;
}

.filters__row-right .mobile-button {
  color: #ffffff;
  font-weight: 600;
  padding: 12px 28px;
  border-radius: 30px 0px 20px 30px;
  background-color: #009aa9;
}

.filters__row-right .icon-link {
  line-height: 14px;
}

.filters__top {
  display: flex;
  align-items: center;
  gap: 100px;
  margin-bottom: 30px;
}

.filters__top .categories-block.dir-row {
  width: 100%;
}

.filters__top .tab-content {
  flex-grow: 1;
}

.filters__top .map {
  height: 350px;
}

.filters__toggle {
  display: flex;
  align-items: center;
  gap: 12px;
}

.filters__selects {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 30px;
  margin-bottom: 40px;
}

.filters-popup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: #ffffff;
  z-index: 15;
  padding: 12px 40px;
  padding-bottom: 30px;
  overflow: auto;
  transform: translateX(100%);
  pointer-events: none;
  transition: transform 0.35s ease-in-out;
}

.filters-popup.active {
  transform: translateX(0);
  pointer-events: all;
}

.filters-popup__close {
  position: relative;
  outline: none !important;
  border: none;
  cursor: pointer;
  text-decoration: none !important;
  background: none;
  -webkit-appearance: none;
  -webkit-transform: translateZ(0px);
  -webkit-font-smoothing: antialiased;
  backface-visibility: hidden;
  padding: 0;
  padding: 0;
  position: absolute;
  top: 30px;
  right: 40px;
  width: 17px;
  height: 17px;
}

.filters-popup__close svg {
  width: 100%;
  height: 100%;
}

.filters-popup__links {
  margin: 40px 0;
  display: flex;
  align-items: center;
  gap: 16px;
}

.filters-popup__links .icon-link {
  line-height: 14px;
}

.filters-popup__holder {
  display: grid;
}

@media (min-width: 768px) {
  .filters-popup__holder {
    grid-template-columns: repeat(3, 1fr);
    gap: 20px 30px;
  }
}

@media (min-width: 1200px) {
  .filters__search {
    max-width: 50%;
  }

  .filters__row-right {
    flex-shrink: 0;
    margin-left: 15px;
  }

  .filters__row-right .mobile-button {
    display: none;
  }

  .filters-popup {
    display: none;
  }
}

@media (max-width: 1199px) {
  .filters__search {
    margin-bottom: 30px;
  }

  .filters__row-right > *:not(.mobile-button) {
    display: none;
  }

  .filters__top {
    flex-direction: column-reverse;
    align-items: flex-start;
    gap: 30px;
    margin-bottom: 50px;
  }

  .filters__top .categories-block.dir-row .categories-block__holder {
    flex-wrap: nowrap;
    overflow: auto;
    width: calc(100% + 80px);
    margin-left: -40px;
    padding-left: 40px;
    padding-right: 40px;
  }

  .filters__top .tab-content {
    width: 100%;
  }

  .filters__top .map {
    height: 250px;
  }

  .filters__selects {
    display: none;
  }
}

@media (max-width: 767px) {
  .signatories {
    margin-top: -30px;
  }

  .filters__search {
    margin-bottom: 25px;
  }

  .filters__selected {
    display: none;
  }

  .filters-popup {
    padding: 12px 20px;
    padding-bottom: 25px;
  }

  .filters-popup__close {
    right: 20px;
  }

  .filters-popup__links {
    margin: 30px 0;
  }

  .filters-popup__holder {
    gap: 16px;
  }
}

@media (max-width: 374px) {
  .filters__row {
    flex-direction: column;
    align-items: flex-start;
    gap: 15px;
  }
}